namespace AvevaMemberListWindow
{
    #region Using
    using System;
    using System.Collections.Generic;
    using System.Windows.Forms;
    #endregion

    public partial class MemberList : UserControl
    {
        public MemberList()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Добавить элемент в список
        /// </summary>
        /// <param name="item">Новый элемент</param>
        public void AddItem(MemberListItem item)
        {
            ListViewItem listitem = new ListViewItem(item.ToArray());

            this.listView_Items.Items.Add(listitem);
        }

        /// <summary>
        /// Добавить элементы в список
        /// </summary>
        /// <param name="items">Коллекция элементов</param>
        public void AddItems(List<MemberListItem> items)
        {
            foreach (MemberListItem item in items)
                this.AddItem(item);
        }

        /// <summary>
        /// Очистка коллекции элементов
        /// </summary>
        public void Clear()
        {
            this.listView_Items.Items.Clear();
        }
    }
}
